Partial Book Depth Streams
Pushes limited depth information. levels indicates the number of bid/ask levels; supported values are 5, 10, or 20.
Subscribe
{
"method": "SUBSCRIPTION",
"params": [
"spot@public.limit.depth.v3.api.pb@BTCUSDT@5"
]
}
Request Parameters spot@public.limit.depth.v3.api.pb@<symbol>@<level>
Response Parameters
| Parameter | Data Type | Description |
|---|---|---|
| price | string | Price level of change |
| quantity | string | Quantity |
| eventtype | string | Event type |
| version | string | Version number |
| symbol | string | Trading pair |
| sendtime | long | Event time |
| lastOrderCreateTime | long | Last order creation time |
Sample data
{
"channel" : "spot@public.limit.depth.v3.api.pb@BTCUSDT@5",
"symbol" : "BTCUSDT",
"sendTime" : "1778075384350",
"publicLimitDepths" : {
"asks" : [ ],
"bids" : [ {
"price" : "100.00000000",
"quantity" : "4.00000000"
} ],
"eventType" : "spot@public.limit.depth.v3.api.pb",
"version" : "10023",
"lastOrderCreateTime" : "1778075380572"
}
}